Bug 192323 - [suggested patch] devel/gdb update to version 7.8
Summary: [suggested patch] devel/gdb update to version 7.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-02 00:17 UTC by Yuri Victorovich
Modified: 2014-08-04 20:51 UTC (History)
4 users (show)

See Also:


Attachments
patch (2.26 KB, patch)
2014-08-02 00:17 UTC, Yuri Victorovich
no flags Details | Diff
An improved version of the proposed patch (3.84 KB, patch)
2014-08-04 14:44 UTC, luca.pizzamiglio
luca.pizzamiglio: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2014-08-02 00:17:44 UTC
Created attachment 145234 [details]
patch

Suggesting this patch to the port maintainer.
Comment 1 John Marino freebsd_committer 2014-08-02 07:55:18 UTC
Maintainer is already in CC
Comment 2 Kurt Jaeger freebsd_committer 2014-08-03 19:24:38 UTC
Tested build, install, run on 10.0-amd64, works fine
Comment 3 luca.pizzamiglio 2014-08-04 14:44:32 UTC
Created attachment 145341 [details]
An improved version of the proposed patch

I was working on it, and the patch is almost the same!

I attach a newer patch, to fix the plist and to use xz source package, it's very smaller.

Thanks for the help

Luca
Comment 4 Kurt Jaeger freebsd_committer 2014-08-04 20:39:22 UTC
I'll take it.
Comment 5 commit-hook freebsd_committer 2014-08-04 20:51:00 UTC
A commit references this bug:

Author: pi
Date: Mon Aug  4 20:50:50 UTC 2014
New revision: 364054
URL: http://svnweb.freebsd.org/changeset/ports/364054

Log:
  devel/gdb: 7.7.1 -> 7.8

  For changes see also:
    http://www.gnu.org/software/gdb/download/ANNOUNCEMENT

  PR:		192323
  Submitted by:	yuri@rawbw.com
  Approved by:	luca.pizzamiglio@gmail.com (maintainer)

Changes:
  head/devel/gdb/Makefile
  head/devel/gdb/distinfo
  head/devel/gdb/files/fbsd-threads.c
  head/devel/gdb/files/patch-unified
  head/devel/gdb/pkg-plist
Comment 6 Kurt Jaeger freebsd_committer 2014-08-04 20:51:41 UTC
Commited, thanks!